org.apache.cassandra.dht

## Class Token

- java.lang.Object
- - org.apache.cassandra.dht.Token

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Token>, RingPosition<Token>

Direct Known Subclasses:
  ByteOrderedPartitioner.BytesToken, LocalPartitioner.LocalToken, Murmur3Partitioner.LongToken, OrderPreservingPartitioner.StringToken, RandomPartitioner.BigIntegerToken

    public abstract class Token
    extends java.lang.Object
    implements RingPosition<Token>, java.io.Serializable

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `Token.KeyBound`
`static class` `Token.TokenFactory`
`static class` `Token.TokenSerializer`

### Field Summary

Fields
`static Token.TokenSerializer` `serializer`

### Constructor Summary

Constructors
Constructor and Description
`Token()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`abstract long` `getHeapSize()`
`abstract IPartitioner` `getPartitioner()`
`Token` `getToken()`
`abstract java.lang.Object` `getTokenValue()`
`boolean` `isMinimum()`
`Token.KeyBound` `maxKeyBound()`
`Token.KeyBound` `minKeyBound()`
`Token` `minValue()`
`<R extends RingPosition<R>> R` `upperBound(java.lang.Class<R> klass)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Comparable

`compareTo`

### Field Detail

#### serializer

    public static final Token.TokenSerializer serializer

### Constructor Detail

#### Token

    public Token()

### Method Detail

#### getPartitioner

    public abstract IPartitioner getPartitioner()

Specified by:
  `getPartitioner` in interface `RingPosition<Token>`

#### getHeapSize

    public abstract long getHeapSize()

#### getTokenValue

    public abstract java.lang.Object getTokenValue()

#### getToken

    public Token getToken()

Specified by:
  `getToken` in interface `RingPosition<Token>`

#### minValue

    public Token minValue()

Specified by:
  `minValue` in interface `RingPosition<Token>`

#### isMinimum

    public boolean isMinimum()

Specified by:
  `isMinimum` in interface `RingPosition<Token>`

#### minKeyBound

    public Token.KeyBound minKeyBound()

#### maxKeyBound

    public Token.KeyBound maxKeyBound()

#### upperBound

    public <R extends RingPosition<R>> R upperBound(java.lang.Class<R> klass)